<?php
/*
 * Display Functions
 */

add_action('wp_footer','wplftr_display',100);

function wplftr_display(){

	//get options
	$all_options = wp_load_alloptions();
	$sidebars_widgets = get_option('sidebars_widgets');
	$sidebars_widgets = $sidebars_widgets['lefooter-sidebar'];
	$total = WPLFTR_OPTION()->width - 90;

	$display = false;

	//configure display via location settings
	if(!empty(WPLFTR_OPTION()->location)){
		foreach (WPLFTR_OPTION()->location as $location => $val ) {
			if($location == "home"){
				if(is_home() || is_front_page()){
					$display = true;
					break;
				}
			}
			if($location == "pages"){
				if(is_page()){
					$display = true;
					break;
				}
			}
			if($location == "posts"){
				if(is_single()){
					$display = true;
					break;
				}
			}
			if($location == "category"){
				if(is_category() || is_tax()){
					$display = true;
					break;
				}
			}
			if($location == "date"){
				if(is_date()){
					$display = true;
					break;
				}
			}
			if($location == "tag"){
				if(is_tag()){
					$display = true;
					break;
				}
			}
			if($location == "author"){
				if(is_author()){
					$display = true;
					break;
				}
			}
			if($location == "search"){
				if(is_search()){
					$display = true;
					break;
				}
			}
		}
	} //end location setting display

	if($display == true): 
	if(!empty($sidebars_widgets)){
		echo <<<EOF
<style>
EOF;
		foreach($sidebars_widgets as $widget){
			$size = get_option('wplftr-'. $widget);
			echo '#leFooter-content #'. $widget .'{
				width:'. $total * ($size/100) .'px;
			}';
		}
		/*
		 * Custom Color Scheme
		 */
		
		if(!empty(WPLFTR_OPTION()->width) && WPLFTR_OPTION()->width != " "){
			echo '#leFooter #leFooter-inner { width:'. WPLFTR_OPTION()->width .'px; }';
		}
		if(!empty(WPLFTR_OPTION()->coloropener) && WPLFTR_OPTION()->coloropener != " "){
			echo '#leFooter #leFooter-content { border-color:'. WPLFTR_OPTION()->coloropener .' }';
			echo '#leFooter .le-opener{ background-color: '. WPLFTR_OPTION()->coloropener .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorbg) && WPLFTR_OPTION()->colorbg != " "){
			echo '#leFooter #leFooter-content{ background-color: '. WPLFTR_OPTION()->colorbg .' }';
		}
		if(!empty(WPLFTR_OPTION()->texture) && WPLFTR_OPTION()->texture != " "){
			echo '#leFooter #leFooter-content{ background-image: url(' . WPLFTR_IMG . '/' . WPLFTR_OPTION()->texture .'.png);
				background-repeat: repeat; }';
		}
		if(!empty(WPLFTR_OPTION()->colorhead) && WPLFTR_OPTION()->colorhead != " "){
			echo '#leFooter #leFooter-content #leFooter-inner h1, 
			#leFooter #leFooter-content #leFooter-inner h2, 
			#leFooter #leFooter-content #leFooter-inner h3, 
			#leFooter #leFooter-content #leFooter-inner h4, 
			#leFooter #leFooter-content #leFooter-inner h5, 
			#leFooter #leFooter-content #leFooter-inner h6{ color: '. WPLFTR_OPTION()->colorhead .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorlink) && WPLFTR_OPTION()->colorlink != " "){
			echo '#leFooter #leFooter-inner a{ color: '. WPLFTR_OPTION()->colorlink .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorp) && WPLFTR_OPTION()->colorp != " "){
			echo '#leFooter #leFooter-inner, #leFooter #leFooter-inner p{ color: '. WPLFTR_OPTION()->colorp .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorlist) && WPLFTR_OPTION()->colorlist != " "){
			echo '#leFooter #leFooter-inner .widget ul li{ color: '. WPLFTR_OPTION()->colorlist .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorb) && WPLFTR_OPTION()->colorb != " "){
			echo '#leFooter #leFooter-inner input[type="submit"], #leFooter #leFooter-inner button{ background-color: '. WPLFTR_OPTION()->colorb .' }';
		}
		if(!empty(WPLFTR_OPTION()->colorbt) && WPLFTR_OPTION()->colorbt != " "){
			echo '#leFooter #leFooter-inner input[type="submit"], #leFooter #leFooter-inner button{ color: '. WPLFTR_OPTION()->colorbt .' }';
		}

		/*
		 * End Custom Color Scheme
		 */
		
		$attr = '';

		if(!empty(WPLFTR_OPTION()->easing) && WPLFTR_OPTION()->easing != " ")
			$attr .= 'easing : "'. WPLFTR_OPTION()->easing .'"';
		if( !empty(WPLFTR_OPTION()->easing) && WPLFTR_OPTION()->easing != " " &&  !empty(WPLFTR_OPTION()->speed) && WPLFTR_OPTION()->speed != " ")
			$attr .= ',';
		if(!empty(WPLFTR_OPTION()->speed) && WPLFTR_OPTION()->speed != " ")
			$attr .= "animSpeed : ". WPLFTR_OPTION()->speed ."";
		if(!empty($attr))
			$attr = '{' . $attr . '}';

		echo <<<EOF
</style>
EOF;
	}
	
	
	echo <<<EOF
<script type="text/javascript">
	jQuery(document).ready(function($){
		$('div#leFooter').jleFooter($attr);

	});
</script>
EOF;
?>
<div id="leFooter">
	<div class="le-opener-container">
		<div class="le-opener position-<?php echo WPLFTR_OPTION()->openerp;?>">
			Toggle This
		</div>
	</div>
	<div id="leFooter-content">
		<div id="leFooter-inner">
		<?php	
		if(!dynamic_sidebar('lefooter-sidebar')):
		endif;
		?>
		<div style="clear:both;"></div>
		</div>
	</div>
</div>
<?php 
	endif; //end display
} 

?>