<?php
/*
 * Create Custom Sidebar for leFooter Contents
 */

//Register Sidebar
register_sidebar(array(
  'name' => __( 'leFooter Widgets' ),
  'id' => 'lefooter-sidebar',
  'description' => __( 'Widgets in this area will be shown on the slideUp Footer.' ),
  'before_widget' => '<li id="%1$s" class="widget %2$s">',
  'after_widget'  => '</li>'
));

if ( is_admin() )
{
    add_action( 'sidebar_admin_setup', 'wplftr_expand_control' );
    add_filter( 'widget_update_callback', 'wplftr_ajax_update_callback', 10, 3); 	
}

// CALLED VIA 'sidebar_admin_setup' ACTION
// adds in the admin control per widget, but also processes import/export
function wplftr_expand_control()
{   
    global $wp_registered_widgets, $wp_registered_widget_controls;

    // ADD EXTRA FIELD TO EACH WIDGET CONTROL
    // pop the widget id on the params array (as it's not in the main params so not provided to the callback)
    foreach ( $wp_registered_widgets as $id => $widget )
    {   // controll-less widgets need an empty function so the callback function is called.
        if (!$wp_registered_widget_controls[$id])
            wp_register_widget_control($id,$widget['name'], 'wplftr_empty_control');
        $wp_registered_widget_controls[$id]['callback_wl_redirect'] = $wp_registered_widget_controls[$id]['callback'];
        $wp_registered_widget_controls[$id]['callback'] = 'wplftr_extra_control';
        array_push( $wp_registered_widget_controls[$id]['params'], $id );   
    }

}

// added to widget functionality in 'wplftr_expand_control' (above)
function wplftr_empty_control() {}

// added to widget functionality in 'wplftr_expand_control' (above)
function wplftr_extra_control()
{   
    global $wp_registered_widget_controls;

    $params = func_get_args();
    $id = array_pop($params);

    // go to the original control function
    $callback = $wp_registered_widget_controls[$id]['callback_wl_redirect'];
    if ( is_callable($callback) )
        call_user_func_array($callback, $params);       


    // dealing with multiple widgets - get the number. if -1 this is the 'template' for the admin interface
    $number=$params[0]['number'];
    if ($number==-1) {
        $number="%i%"; 
        $value="";
    }
    $id_disp=$id;
    if ( isset($number) ) 
        $id_disp = $wp_registered_widget_controls[$id]['id_base'].'-'.$number;
    $value = get_option('wplftr-' .$id_disp);
    if(empty($value)){
        $value = 33;
    }
    // output our extra widget logic field
    echo '<input type="hidden" name="lefooter_getname" value="wplftr-'. $id_disp .'">';
    echo "<p class='wplftr-p'><label for='wplftr-".$id_disp."'>Column Width <br />
    <input type='text' name='wplftr-". $id_disp ."' id='wplftr-".$id_disp."' value='". $value ."' size='3' /> % <strong>NOTE that the total of all width should be 100%.</strong></label></p>";
}

//Update Options
function wplftr_ajax_update_callback($instance, $new_instance, $this_widget)
{	
	$widget_id=$this_widget->id;
	if(isset($_POST['lefooter_getname'])){
		$name = $_POST['lefooter_getname'];
		update_option($_POST['lefooter_getname'], floatval($_POST[$name]));
	}
	return $instance;
}

//Hide Options to Other Widgets
add_action('admin_print_styles-widgets.php', 'print_widget_hint_style');
function print_widget_hint_style()
{
    echo <<<EOF
<style type="text/css">
/* Less specific rule for all widgets */
div.widgets-sortables .wplftr-p{
	display:none;
}
div.widgets-sortables#lefooter-sidebar .wplftr-p
{
   display:block;
}

</style>
EOF;
}

?>