// Utility
if ( typeof Object.create !== 'function' ) {
	Object.create = function( obj ) {
		function F() {};
		F.prototype = obj;
		return new F();
	};
}

(function( $, window, document, undefined ) {

	var leFooter = {
		init: function( options, elem ) {
			var self = this;

			self.elem = elem;
			self.$elem = $( elem );
			self.cHeight = self.$elem.find('#leFooter-content').find('#leFooter-inner').height();
			self.cHeight += 40;

			self.options = $.extend( {}, $.fn.jleFooter.options, options );

			self.display(); 
			self.open();
		},
		display: function(){
			var self = this;
			self.$elem.css({ 'bottom' : -self.cHeight + 'px', 'visibility' : 'visible' });
		},
		open: function(){
			var self = this;
			self.$elem.find('.le-opener').on('click',function(){
				if(self.$elem.hasClass('opened')){
					self.$elem.animate({'bottom': -self.cHeight + 'px'},self.options.animSpeed);
					self.$elem.removeClass('opened');
				}else{
					self.$elem.animate(
							{'bottom':0},
							self.options.animSpeed,
							self.options.easing
					);
					self.$elem.addClass('opened');
				}
			});
		}
	};

	$.fn.jleFooter = function( options ) {
		return this.each(function() {
			var lefooter = Object.create( leFooter );
			
			lefooter.init( options, this );

			$.data( this, 'jleFooter', lefooter );
		});
	};

	$.fn.jleFooter.options = {
		easing : "easeOutQuad",
		animSpeed : 350
	};

})( jQuery, window, document );